<!-- index.php -->
<!DOCTYPE html>

<?php 
$dbhost="localhost";
$dbuser = "root";
$dbpass = null;
$dbname = "inception";

$conn = mysqli_connect($dbhost, $dbuser, $dbpass);
if (!$conn) die("Connection failed: " . mysqli_connect_error());

mysqli_select_db($conn, $dbname) || die('Corrupted database: ' . mysqli_error($conn));

$query="SELECT id,name FROM scenes;";
$res = mysqli_query($conn, $query);
if(!$res) die('Invalid query'); // die('Invalid query: ' . mysqli_error($conn)); // <-- ERROR HIDING

?>

<html>
<body>

<img src="spinning_top.jpg" alt="Spinning top" height="200"> 
<h1>Inception scenes list</h1>
<p>Is that going to spin forever?</p>

<?php

// Displaying the results.
if(mysqli_num_rows($res) === 0) {
  echo "(no scenes)";
}
else {
  echo "<div><table><thead>\n";
  echo "<tr><th scope=\"col\">Scene id</th><th scope=\"col\">Scene name</th></tr>\n";
  echo "</thead>\n";
  echo "<tbody>\n";

  while ($row = mysqli_fetch_assoc($res)) {
    echo "<tr><div class=\"row\">\n";
    echo "<td>" . htmlspecialchars($row['id']) . "</td>\n";
    echo "<td><a href=\"view.php?id=" . urlencode($row['id']) . "\">" . htmlspecialchars($row['name']) . "</a></td>\n";
    echo "</div></tr>\n";
  }
  echo "</tbody></table></div>\n";
  mysqli_free_result($res);
}

mysqli_close($conn);
?>

<form action="add.php" method="post">
Add the name of your favourite scene of Inception movie: <input type="text" name="name" value=""><br/>
Scene description: <input type="text" name="descr" value=""><br/>
Optionally, add the name and the description of the dream where the scene takes place in:<br/>
Dream name: <input type="text" name="dreamname" value="">
Dream description: <input type="text" name="dreamdescr" value="">
<input type="submit" value="add scene">
</form>

</body>
</html> 
